Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #132 (closed defect: fixed)

Opened 14 years ago

Last modified 13 years ago

Only one WPA/RSN IE reported with mixed mode (WPA+WPA2) APs

Reported by: jkmaline@cc.hut.fi Assigned to:
Priority: minor Milestone: version 1.0.0 - first stable release
Component: madwifi: 802.11 stack Version: trunk
Keywords: Cc:
Patch is attached: Pending:

Description

It looks like madwifi driver is still reporting only one WPA/RSN IE even when the AP is advertising both WPA (WPA IE) and WPA2 (RSN IE). Both IEs need to be included in scan results so that user space supplicant is able to do proper downgrade attack protection and allow user to configure WPA in this kind of case. Based on svn commit messages, it looks like WPA2 is now preferred, i.e., RSN IE overwrites WPA IE if both are present in Beacon/ProbeRsp. However, the correct behavior would to report both IEs and allow supplicant to take care of deciding what to do with them.

This has been reported as wpa_supplicant issue number of times (see, e.g., http://hostap.epitest.fi/bugz/show_bug.cgi?id=75), but the real problem is in the driver not providing the needed information.

Attachments

madwifi-ng.wpa+rsn.patch (12.1 kB) - added by Charles Bovy <charles@bovy.nl> on 12/11/05 17:32:08.
Possible fix to get both WPA and RSN IE reported

Change History

11/29/05 18:38:26 changed by mrenzmann

  • milestone set to version 1.0.0 - first stable release.

11/29/05 19:16:28 changed by mrenzmann

  • version set to trunk.

12/11/05 17:32:08 changed by Charles Bovy <charles@bovy.nl>

  • attachment madwifi-ng.wpa+rsn.patch added.

Possible fix to get both WPA and RSN IE reported

12/11/05 17:35:37 changed by Charles Bovy <charles@bovy.nl>

Signed-off-by: Charles Bovy <charles@bovy.nl>

12/14/05 11:37:16 changed by mrenzmann

  • status changed from new to closed.
  • resolution set to fixed.

Committed in r1357, thanks.